CCfits::Column::InsufficientElements Class Reference

Exception thrown if the data supplied for a write operation is less than declared. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::InsufficientElements:

## Public Member Functions

| InsufficientElements (const String &msg, bool silent=true)
| Exception ctor, prefixes the string "FitsError: not enough elements supplied for write operation: " before the specific message. More...
Public Member Functions inherited from CCfits::FitsException
| FitsException (const string &msg, bool &silent)
const string & | message () const
| returns the error message More...

## Detailed Description

Exception thrown if the data supplied for a write operation is less than declared.

This circumstance generates an exception to avoid unexpected behaviour after the write operation is completed. It can be avoided by resizing the input array appropriately.

## Constructor & Destructor Documentation

CCfits::Column::InsufficientElements::InsufficientElements | ( | const String & | msg,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FitsError: not enough elements supplied for write operation: " before the specific message.

Parameters

  msg | A specific diagnostic message, usually the column name
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx